@media (max-width: 768px) {
    .navbar-container {
        width: 100%;
    }

    .nav-item .dropdown-menu a {
        padding: 5px 5px;
    }

    .nav-item .dropdown-menu {
        width: 50%;
        margin: auto;
    }

    .navbar-collapse {
        background-color: rgba(255, 255, 255, 0.2);
        backdrop-filter: blur(10px);
        text-align: center;
    }

    .navlinks-edit a {
        margin: 5px 0;
    }

    .dropdown-menu a {
        padding: 10px 0;
    }

    .carousel-caption-fixed {
        position: absolute;
        top: 50%;
        left: 50%;
        text-align: left;
        transform: translate(-50%, -50%);
        width: 70%;
    }

    .carousel-caption-fixed h1 {
        font-size: 40px;
    }

    .first-page {
        background-position: top left;
    }

    .bio-section-fluid {
        margin: 50px 0;
    }

    .bio-hero-container {
        width: 100%;
    }

    .hero-product-container {
        width: 100%;
        margin: 50px 0;
    }

    .why-our-container .card {
        text-align: center;
    }

    .why-our-container {
        width: 100%;
        margin: 50px 0;
    }

    .three-card-design {
        width: 100%;
        margin: 50px 0;
    }

    .footer-container {
        width: 100%;
    }

    .contact-container {
        width: 100%;
    }

    .contact-container .map-col iframe {
        width: 100%;
        height: 450px;
    }

    .about-container {
        width: 100%;
    }

    /* Marquee Animation */
    @keyframes marquee {
        0% {
            transform: translateX(110vw);
            /* Starts immediately */
        }

        100% {
            transform: translateX(-75%);
            /* Moves left smoothly */
        }
    }

    .gallery-container {
        width: 100%;
    }

    .gallery-heading-col h1 {
        margin-top: 50px;
    }

    .gallery-container .row .col-lg-6,
    .gallery-container .row .col-lg-6 {
        margin: 0px 0;
        height: auto;
    }

    .gallery-card1 {
        position: relative;
        top: 0px;
        right: 0px;
        rotate: 0deg;
        width: 95%;
        margin: auto;
    }

    .gallery-card2 {
        position: relative;
        top: 0px;
        right: 0px;
        z-index: 0;
        width: 95%;
        margin: auto;
    }

    .gallery-card3 {
        position: relative;
        top: 0px;
        left: 0px;
        width: 95%;
        margin: auto;
    }

    .gallery-card4 {
        position: relative;
        bottom: 0px;
        right: 0px;
        rotate: 0deg;
        width: 95%;
        margin: auto;
        margin-bottom: 50px;
    }

    .gallery-container .row .col-lg-6,
    .gallery-container .row .col-lg-6 {
        height: auto;
    }

}






@media (max-width: 992px) {

    .nav-item .dropdown-menu a {
        padding: 5px 10px;
    }

    .nav-item .dropdown-menu {
        width: 50%;
        margin: auto;
    }

    .carousel-caption-fixed {
        position: absolute;
        top: 50%;
        left: 50%;
        text-align: left;
        transform: translate(-50%, -50%);
        width: 70%;
    }

    .carousel-caption-fixed h1 {
        font-size: 40px;
    }

    .first-page {
        background-position: top left;
    }

    .bio-section-fluid {
        margin: 50px 0;
    }

    .bio-hero-container {
        width: 100%;
    }

    .hero-product-container {
        width: 100%;
        margin: 50px 0;
    }

    .why-our-container .card {
        text-align: center;
    }

    .why-our-container {
        width: 100%;
        margin: 50px 0;
    }

    .three-card-design {
        width: 100%;
        margin: 50px 0;
    }

    .footer-container {
        width: 100%;
    }

    .contact-container {
        width: 100%;
    }

    .contact-container .map-col iframe {
        width: 100%;
        height: 450px;
    }

    .about-container {
        width: 100%;
    }

    /* Marquee Animation */
    @keyframes marquee {
        0% {
            transform: translateX(80vw);
            /* Starts immediately */
        }

        100% {
            transform: translateX(-100%);
            /* Moves left smoothly */
        }
    }

    .gallery-container {
        width: 100%;
    }

    .gallery-heading-col h1 {
        margin-top: 50px;
    }

    .gallery-container .row .col-lg-6,
    .gallery-container .row .col-lg-6 {
        margin: 0px 0;
        height: auto;
    }

    .gallery-card1 {
        position: relative;
        top: 0px;
        right: 0px;
        rotate: 0deg;
        width: 95%;
        margin: auto;
    }

    .gallery-card2 {
        position: relative;
        top: 0px;
        right: 0px;
        z-index: 0;
        width: 95%;
        margin: auto;
    }

    .gallery-card3 {
        position: relative;
        top: 0px;
        left: 0px;
        width: 95%;
        margin: auto;
    }

    .gallery-card4 {
        position: relative;
        bottom: 0px;
        right: 0px;
        rotate: 0deg;
        width: 95%;
        margin: auto;
        margin-bottom: 50px;
    }

    .gallery-container .row .col-lg-6,
    .gallery-container .row .col-lg-6 {
        height: auto;
    }

}